Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.reasoner
Interface DIGReasoner

All Known Implementing Classes:
  DefaultDIGReasoner

    public interface DIGReasoner

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jun 14, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static Logger` | `digLogger`
`static String` | `LOGGER_NAME`

Method Summary
`void` | `clearKnowledgeBase(String kbURI)` A helper method that clears the knowledge base
`String` | `createKnowledgeBase()` A helper method that asks the inference to create a new knowledgebase.
`DIGReasonerIdentity` | `getIdentity()` A helper method that gets the identity of the inference
`String` | `getReasonerURL()` Gets the URL of the reasoner.
`Document` | `performRequest(Document request)` Sends a request to the reasoner and retrieves the response.
`void` | `releaseKnowledgeBase(String kbURI)` A helper method that releases a previously created knowledgebase.
`void` | `setReasonerURL(String url)` Sets the URL of the reasoner.

Field Detail

### LOGGER_NAME

    static final String LOGGER_NAME

See Also:
  Constant Field Values

### digLogger

    static final Logger digLogger

Method Detail

### setReasonerURL

    void setReasonerURL(String url)

  Sets the URL of the reasoner.

  Parameters:
    `url` - The URL

### getReasonerURL

    String getReasonerURL()

  Gets the URL of the reasoner.

### getIdentity

    DIGReasonerIdentity getIdentity()
                                    throws DIGReasonerException

  A helper method that gets the identity of the inference

  Returns:
    A`DIGReasonerIdentity` object that encapsulates the information about the inference.
  Throws:
    `DIGReasonerException`

### createKnowledgeBase

    String createKnowledgeBase()
                               throws DIGReasonerException

  A helper method that asks the inference to create a new knowledgebase.

  Returns:
    A `String` that represents a URI that is an identifier for the newly created knowledgebase.
  Throws:
    `DIGReasonerException`

### releaseKnowledgeBase

    void releaseKnowledgeBase(String kbURI)
                              throws DIGReasonerException

  A helper method that releases a previously created knowledgebase.

  Parameters:
    `kbURI` - The `URI` of the knowledgebase
  Throws:
    `DIGReasonerException`

### clearKnowledgeBase

    void clearKnowledgeBase(String kbURI)
                            throws DIGReasonerException

  A helper method that clears the knowledge base

  Parameters:
    `kbURI` - The uri that identifies the knowledge base to be cleared.
  Throws:
    `DIGReasonerException`

### performRequest

    Document performRequest(Document request)
                            throws DIGReasonerException

  Sends a request to the reasoner and retrieves the response.

  Parameters:
    `request` - A `Document` containing the DIG request
  Returns:
    A `Document` containing the reponse from the reasoner
  Throws:
    `DIGReasonerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.